const express = require('express');
const router = express.Router();
const stopsDeOsetLimit = require('../service/gtfs-stops-de-oset-limit');
const UTILS=require('../utils');

//GET listing
router.get('/', async function(req, res, next) {
    try {
	res.json(await stopsDeOsetLimit.get(req.query.oset, req.query.limit));
    } catch (err) {
	console.error(`Error while getting stops de with oset and limit `, err.message);
	res.status(err.statusCode || 500).json(UTILS.MSGS.error);
    }
});

module.exports = router;
